Skip to main content
GET
/
api
/
v1
/
agent-files
/
{agent_id}
/
files
/
search
Search Agent Files
curl --request GET \
  --url https://agent-studio.thena.ai/api/v1/agent-files/{agent_id}/files/search \
  --header 'x-api-key: <api-key>'
import requests

url = "https://agent-studio.thena.ai/api/v1/agent-files/{agent_id}/files/search"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://agent-studio.thena.ai/api/v1/agent-files/{agent_id}/files/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "file": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "bucket_path": "<string>",
      "size": 123,
      "mime_type": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "metadata": {}
    },
    "chunk_text": "<string>",
    "similarity": 123
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Path Parameters

agent_id
string<uuid> | null
required

Query Parameters

query
string
required

Search query text

Minimum string length: 1
limit
integer
default:5

Maximum number of results to return

Required range: 1 <= x <= 20

Response

Successful Response

file
AgentFile · object
required
chunk_text
string
required
similarity
number
required